package oop1_dat1_u;

/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class MyListNode<T> // NEU: Parametrisierte Klasse mit Klassentyp T
{

    private T data; // Daten; jetzt vom vorgegebenen Klassentyp T!
    private MyListNode<T> next; // Referenz zum nächsten ListNode-Objekt

    public MyListNode(MyListNode<T> n, T d)
    {
        next = n;
        data = d;
    }

    public void setData(T d)
    {
        data = d;
    }

    public T getData()
    {
        return data;
    }

    public void setNext(MyListNode<T> n)
    {
        next = n;
    }

    public MyListNode<T> getNext()
    {
        return next;
    }
}
